## org.apache.http.impl.client
Class DefaultUserTokenHandler

    java.lang.Object
      org.apache.http.impl.client.DefaultUserTokenHandler

All Implemented Interfaces:
  UserTokenHandler

    @Immutable
    public class DefaultUserTokenHandler

extends Object
implements UserTokenHandler

Default implementation of `UserTokenHandler`. This class will use an instance of `Principal` as a state object for HTTP connections, if it can be obtained from the given execution context. This helps ensure persistent connections created with a particular user identity within a particular security context can be reused by the same user only.

DefaultUserTokenHandler will use the user principle of connection based authentication schemes such as NTLM or that of the SSL session with the client authentication turned on. If both are unavailable, `null` token will be returned.

Since:
  4.0

Constructor Summary
`DefaultUserTokenHandler()`

Method Summary
`Object` `getUserToken(HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUserTokenHandler

    public DefaultUserTokenHandler()

Method Detail

### getUserToken

    public Object getUserToken(HttpContext context)

  Description copied from interface: `UserTokenHandler`
  The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

  Specified by:
    `getUserToken` in interface `UserTokenHandler`
  Parameters:
    `context` - the execution context
  Returns:
    user token that uniquely identifies the user or `null</null> if the context is not user specific.`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.